# sourceiter.h File Reference

SourceIter class. More...

`#include <glibmm.h>`
`#include <gtkmm/textiter.h>`

Go to the source code of this file.

## Namespaces
namespace | gtksourceview
## Classes
class | gtksourceview::SourceIter
| an iterator type for gtksourceview::SourceBuffer. More...
## Enumerations
enum | gtksourceview::SearchFlags { gtksourceview::SEARCH_VISIBLE_ONLY = 1 << 0, gtksourceview::SEARCH_TEXT_ONLY = 1 << 1, gtksourceview::SEARCH_CASE_INSENSITIVE = 1 << 2 }
## Functions
SearchFlags | gtksourceview::operator| (SearchFlags lhs, SearchFlags rhs)
SearchFlags | gtksourceview::operator & (SearchFlags lhs, SearchFlags rhs)
SearchFlags | gtksourceview::operator^ (SearchFlags lhs, SearchFlags rhs)
SearchFlags | gtksourceview::operator- (SearchFlags lhs)
SearchFlags | gtksourceview::operator|= (SearchFlags &lhs, SearchFlags rhs)
SearchFlags | gtksourceview::operator &= (SearchFlags &lhs, SearchFlags rhs)
SearchFlags | gtksourceview::operator^= (SearchFlags &lhs, SearchFlags rhs)

## Detailed Description

SourceIter class.